package com.kingdee.eas.custom.compensation.task;


import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.bos.metadata.entity.SelectorItemInfo;
import com.kingdee.eas.util.app.DbUtil;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.shr.base.syssetting.app.osf.OSFAppUtil;
import com.kingdee.shr.compensation.CalSchemeCollection;
import com.kingdee.shr.compensation.CalSchemeFactory;
import com.kingdee.shr.compensation.CalSchemeInfo;
import com.kingdee.shr.compensation.ICalScheme;
import org.apache.commons.lang3.StringUtils;
import org.apache.log4j.Logger;


import com.kingdee.bos.*;


import java.lang.String;
import java.text.SimpleDateFormat;
import java.util.HashMap;
import java.util.Map;

/**
 * 后台任务定时生成
 */
public class DepositTaskFacadeControllerBean extends AbstractDepositTaskFacadeControllerBean {
    private static Logger logger =
            Logger.getLogger("com.kingdee.eas.custom.compensation.task.DepositTaskFacadeControllerBean");

    @Override
    protected String _exceDeposit(Context ctx, String calSchemeID, String beginDate, String endDate, String personIds) throws BOSException {
        String result = null;
        try {
                Map<String, Object> map = new HashMap<String, Object>();
                map.put("personIds", personIds);
                map.put("calSchemeId", calSchemeID);
                map.put("beginDate", beginDate);
                map.put("endDate", endDate);
                //先处理
                Object obj = null;
                obj = OSFAppUtil.callService(ctx, "handMacDepositOSFService", map);
                result = (null != obj) ? obj.toString() : null;
        } catch (Exception e) {
            e.printStackTrace();
            result = e.getMessage();
        }
        return result;
    }
}